<?php use_helper('DateForm', 'TransfercarRO') ?>
<?php decorate_with('layout2019') ?>
<?php slot('main_block_css_class', ' ') ?>
<?php use_stylesheet('/flatui14/transfercar/css/listing.css') ?>
<?php use_stylesheet('/flatui/foundation/stylesheets/listing_confirmation.css') ?>
<?php use_stylesheet('/js/intl-tel-input/css/intlTelInput.css') ?>
<?php use_stylesheet('rating.css') ?>
<?php use_javascript('intl-tel-input/js/intlTelInput.min.js') ?>
<?php use_javascript('jquery.validate.min.js') ?>
<?php use_javascript('jquery.validate.additional-methods.min.js') ?>
<?php if ($sf_user->getCulture() == 'fr_CA'): ?>
    <?php use_javascript('add_request_fr.js') ?>
    <?php use_javascript('jquery.validate.messages.fr.js') ?>
<?php else: ?>
    <?php use_javascript('add_request.js?v=20230107') ?>
<?php endif ?>
<style type="text/css">
    /**
 * The CSS shown here will not be introduced in the Quickstart guide, but shows
 * how you can use CSS to style your Element's container.
 */
.StripeElement {
  background-color: white;
  height: 40px;
  padding: 10px 12px;
  border-radius: 4px;
  border: 1px solid transparent;
  box-shadow: 0 1px 3px 0 #e6ebf1;
  -webkit-transition: box-shadow 150ms ease;
  transition: box-shadow 150ms ease;
}

.StripeElement--focus {
  box-shadow: 0 1px 3px 0 #cfd7df;
}

.StripeElement--invalid {
  border-color: #fa755a;
}

.StripeElement--webkit-autofill {
  background-color: #fefde5 !important;
}

#card-errors {
    margin-top: -3px;
    display: none;
}

</style>
<?php use_javascript('nogray/ng_all.js') ?>

<?php  $listing->getRelocationQuery('request/add') ?>
<?php $vehicle = $listing->get('owner_vehicle_type_id') ? $listing->get('OwnerVehicleType') : $listing->get('VehicleType') ?>
<?php $request = $form->getRequest() ?>
<div class="container">
    <div class="row">
      <div class="col-12 col-lg-12">
        <ul class="breadcrumb listing-breadcrumb">
          <li><a href="<?php echo url_for('@homepage') ?>"><?php echo __('Home') ?></a></li>
          <li><a href="<?php echo url_for('@browse_listing') ?>"><?php echo __('Browse all cars') ?></a></li>
          <li><a href="<?php echo $listing->getRelocationQuery('listing/view') ?>"><?php echo __('Selected transfer') ?></a></li>
          <?php if (!$sf_user->getAttribute('profile')->get('username')): ?>
            <li><a href="#"><?php echo __('Register or log in') ?></a></li>
          <?php endif ?>
          <li class="active"><a href="#"><?php echo __('Send request') ?></a></li>
        </ul>
      </div>
    </div>
</div>


<form action="<?php echo $listing->getRelocationQuery('request/add') ?>" method="post" id="request_form">
    <div class="mbl">
        <div class="container">
            <?php if ($form['checksum']->hasError()): ?>
                <div class="row">
                    <div class="col-12 col-lg-12 end">
                        <div class="alert alert-warning">
                            <h3><?php echo __('The rental company has modified the listing') ?></h3>
                            <p>
                                <?php echo __('The listing has been modified while you have made your request.') ?>
                                <?php echo __('Please') ?> <?php echo link_to('go back to the listing', $listing->getRelocationQuery('listing/view'),  array('style' => 'color:#2980b9;font-weight:normal')) ?>
                                <?php echo __('and make a new request.') ?>
                            </p>
                        </div>
                    </div>
                </div>
            <?php elseif ($form->isBound() && $form->isValid()): ?>
                <div class="row">
                    <div class="col-12 col-lg-12 end">
                        <div class="alert alert-warning">
                            <h3><?php echo __('Error while processing your request') ?></h3>
                            <p>Please try again</p>
                        </div>
                    </div>
                </div>
            <?php else: ?>
                <?php echo $form->renderGlobalErrors() ?>
            <?php endif ?>
            <?php echo $form->renderHiddenFields() ?>
            <div class="row">
                <div class="col-12 col-lg-12">
                    <h1><?php echo __('Submit your request') ?></h1>
                </div>
            </div>

            <div class="row">
                <div class="col-12 col-lg-8">
                    <div class="well clearfix" style="border:1px solid #cdf1cf;background:#cdf1cf;">
                        <div class="row">
                            <div class="col-1 col-lg-1">
                                <span style="padding:1px 10px;background:#1abc9c;font-size:18px;color:#fff;border-radius:50%">i</span>
                            </div>
                            <div class="col-11 col-lg-11" style="font-size:16px;">
                                <?php echo __('Complete the request by filling in the form below  and reading the terms &amp; conditions.') ?><br/>
                                <?php echo __('Your request will be submitted to the rental car company who has 24 hours to respond to you.') ?>
                                <br/>
                                <?php echo __('Once a request is submitted, no changes can be made. Ensure to double check your selected date, time and personal details.') ?>
                            </div>
                        </div>
                    </div>
                    <?php if ($form->hasMissingUserDetails()): ?>
                    <div class="row mbl">
                        <div class="col-12 col-lg-12">
                            <h3><?php echo __('Personal information') ?></h3>
                            <div class="well clearfix" style="border:1px solid #fff7d9;background:#fff7d9;">
                                <div class="row">
                                    <div class="col-1 col-lg-1">
                                        <span style="border-radius:50%;padding:1px 10px;background:#f1c40f;font-size:18px;color:#fff">!</span>
                                    </div>
                                    <div class="col-11 col-lg-11" style="font-size:16px;">
                                        <?php echo __('Please fill in your personal details.') ?>
                                        <?php echo __('They will be transmitted to the rental operator once your request has been accepted.') ?>
                                    </div>
                                </div>
                            </div>
                            <?php if (isset($form['user']['firstname'])): ?>

                            <div class="row ptl">
                                <div class="col-12 col-lg-6">
                                    <?php echo $form['user']['firstname']->renderLabel('Your first name *') ?>
                                    <?php echo $form['user']['firstname']->render(array('class' => 'form-control form-control-square')) ?>
                                    <?php echo $form['user']['firstname']->renderError() ?>
                                </div>
                                <div class="col-12 col-lg-6">
                                    <?php echo $form['user']['lastname']->renderLabel('Your last name *') ?>
                                    <?php echo $form['user']['lastname']->render(array('class' => 'form-control form-control-square')) ?>
                                    <?php echo $form['user']['lastname']->renderError() ?>
                                </div>
                            </div>
                            <?php endif ?>
                            <?php if (isset($form['user']['date_of_birth'])): ?>

                            <div class="row ptl">
                                <div class="col-12 col-lg-12 date_of_birth">
                                    <?php echo $form['user']['date_of_birth']->renderLabel('Your date of birth *') ?>
                                    <div class="row">
                                        <?php echo $form['user']['date_of_birth']->render(array('class' => 'select2x form-control form-control-square')) ?>
                                        <?php echo $form['user']['date_of_birth']->renderError() ?>
                                    </div>
                                </div>
                            </div>
                            <?php endif ?>
                            <div class="row ptl">
                                <?php if (isset($form['user']['license'])): ?>
                                    <div class="col-12 col-lg-6">
                                        <?php echo $form['user']['license']->renderLabel('Driver licence issued in *') ?>
                                        <?php echo $form['user']['license']->render(array('class' => 'select2x form-control form-control-square')) ?>
                                        <?php echo $form['user']['license']->renderError() ?>
                                    </div>
                                <?php endif ?>

                                <?php if (isset($form['user']['mobile_phone'])): ?>
                                    <div class="col-12 col-lg-6 <?php echo $form['user']['mobile_phone']->hasError() ? ' has-error error': '' ?>">
                                        <?php echo $form['user']['mobile_phone']->renderLabel('Mobile phone number *') ?>
                                        <?php echo $form['user']['mobile_phone']->render(array('class' => 'form-control form-control-square')) ?>
                                        <?php echo $form['user']['mobile_phone']->renderError() ?>
                                    </div>
                                <?php endif ?>
                            </div>

                            <?php if (isset($form['user']['source_information'])): ?>
                                <div class="row ptl">
                                    <div class="col-12 col-lg-6 <?php echo $form['user']['source_information']->hasError() ? ' has-error error': '' ?>">
                                        <?php echo $form['user']['source_information']->renderLabel('How did you hear about us?') ?>
                                        <?php echo $form['user']['source_information']->render(array('class' => 'select2x form-control form-control-square')) ?>
                                        <?php echo $form['user']['source_information']->renderError() ?>
                                    </div>
                                </div>
                            <?php endif ?>
                        </div>
                    </div>
                    <?php else: ?>
                    <h3 class="ptl"><?php echo __('Trip information details') ?></h3>
                    <div class="well clearfix" id="close_pickup_time" style="display:none;border:1px solid #ff5555;background:#ffdd55;">
                        <div class="row">
                            <div class="col-1 col-lg-1">
                                <span style="padding:5px 10px;background:#ff5555;font-size:18px;color:#fff">i</span>
                            </div>
                            <div class="col-11 col-lg-11" style="font-size:16px;font-weight:200">
                                <strong><?php echo __('Your selected pickup time is occuring in the upcoming hours!') ?></strong><p>
                                <?php echo __('To increase your chances of getting accepted, we recommend selecting a later pickup time, as this will give the rental operator more time to process your request') ?></p>
                            </div>
                        </div>
                    </div>
                    <table class="table tables-tc table-trip-dates table-responsive" style="vertical-align:middle">
                        <tr<?php if ($form['pickup_time']->hasError()):?> class="error has-error"<?php endif ?>>
                            <td class="w-50 text-left" style="vertical-align:middle">
                                <label><?php echo __('Pickup date') ?></label>
                                <?php echo $form['pickup_date']->render(array('class' => 'form-control form-control-square')) ?>
                            </td>
                            <td class="w-25 text-left" style="vertical-align:middle">
                                <?php echo $form['pickup_time']->renderLabel('Select pickup time:') ?>
                                <?php echo $form['pickup_time']->render(array('class' => 'form-control form-control-square')) ?>
                                <?php echo $form['pickup_time']->renderError() ?>
                            </td>
                        </tr>
                        <tr<?php if ($form['dropoff_time']->hasError()):?> class="error has-error"<?php endif ?>>
                            <td class="w-50 text-left" style="vertical-align:middle">
                                <label><?php echo __('Dropoff date') ?></label>
                                <?php echo $form['dropoff_date']->render(array('class' => 'form-control form-control-square')) ?>
                            </td>
                            <td class="w-25 text-left" style="vertical-align:middle">
                                <?php echo $form['dropoff_time']->renderLabel('Select dropoff time:') ?>
                                <?php echo $form['dropoff_time']->render(array('class' => 'form-control form-control-square')) ?>
                                <?php echo $form['dropoff_time']->renderError() ?>
                            </td>
                        </tr>
                        <tr class="relocation-cost-message" style="display:none">
                            <td colspan="1">&nbsp;</td>
                            <td class="message-body" colspan="3"><?php echo __('Please be aware that you are now requesting an extra paid day.') ?></td>
                        </tr>
                    </table>
                    <?php endif ?>
                </div>
                <div class="col-12 col-lg-4">
                    <div id="request_summary" class="well">
                        <h6><small style="color:#000;font-size: 14px;"><?php echo __('Your requested transfer') ?></small></h6>
                        <h3>
                            <?php echo $listing->getTitle('%s to '.$request->getDropoff()) ?>
                        </h3>
                        <p style="font-size:16px;color:#000;font-weight:200;">
                            <?php echo __($listing->get('VehicleType')->get('description')) ?><br/>
                            <span id="dates">
                                <?php echo tc_format_date($sf_params->get('pickup_date')) ?> -
                                <?php echo tc_format_date($sf_params->get('dropoff_date')) ?>
                            </span>
                        </p>

                        <p class="text-success mbs">
                            <?php echo __('You\'ll pay now') ?> = <?php echo __('$') ?>0
                        </p>
                        <p class="paid-days-cost" style="<?php if (intval($listing->getRevenue($request)) == 0): ?>display:none;<?php endif ?>">
                            <?php echo __('You\'ll pay later') ?> = <?php echo __('$') ?><span class="relocation-cost"><?php echo $listing->getRevenue($request) ?>*</span>
                            <i class="fui-info-circle" data-toggle="tooltip" data-tooltip-style="light" title="<?php echo __('This amount will have to be paid to the rental company when picking up the vehicle.') ?>"></i>
                        </p>

                        <?php if ($listing->hasBond()): ?>
                            <p class="mvl" style=";margin:0 -20px 0 -20px;padding:10px 20px;font-size:18px;">
                                <?php echo __('Deposit required') ?> = <?php echo __('$') ?><?php echo $listing->getBondAmount($request->get('nb_paid_days')) ?>
                                <i class="fui-info-circle" data-toggle="tooltip" data-tooltip-style="light" title="<?php echo __('This amount will be charged when the request is accepted by the rental operator.') ?>"></i>
                            </p>
                        <?php endif ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php if ($form->hasMissingUserDetails()): ?>
    <div class="ptl">
        <div class="container">
            <div class="row">
                <div class="col-12 col-lg-8 end">
                    <h3><?php echo __('Trip information details') ?></h3>

                    <table class="table tables-tc table-trip-dates" style="vertical-align:middle">
                        <tr<?php if ($form['pickup_time']->hasError()):?> class="error has-error"<?php endif ?>>
                            <td class="w-50 text-left" style="vertical-align:middle">
                                <label><?php echo __('Pickup date') ?></label>
                                <?php echo $form['pickup_date']->render(array('class' => 'form-control form-control-square')) ?>
                            </td>
                            <td class="w-25 text-left" style="vertical-align:middle">
                                <?php echo $form['pickup_time']->renderLabel('Select pickup time:') ?>
                                <?php echo $form['pickup_time']->render(array('class' => 'form-control form-control-square')) ?>
                                <?php echo $form['pickup_time']->renderError() ?>
                            </td>
                        </tr>
                        <tr<?php if ($form['dropoff_time']->hasError()):?> class="error has-error"<?php endif ?>>
                            <td class="w-50 text-left" style="vertical-align:middle">
                                <label><?php echo __('Dropoff date') ?></label>
                                <?php echo $form['dropoff_date']->render(array('class' => 'form-control form-control-square')) ?>
                            </td>
                            <td class="w-25 text-left" style="vertical-align:middle">
                                <?php echo $form['dropoff_time']->renderLabel('Select dropoff time:') ?>
                                <?php echo $form['dropoff_time']->render(array('class' => 'form-control form-control-square')) ?>
                                <?php echo $form['dropoff_time']->renderError() ?>
                            </td>
                        </tr>
                        <tr class="relocation-cost-message" style="display:none">
                            <td colspan="1">&nbsp;</td>
                            <td class="message-body" colspan="3"><?php echo __('Please be aware that you are now requesting an extra paid day.') ?></td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <?php endif ?>
    <?php if (NO_SHOW_FEE): ?>
    <div class="ptl">
        <div class="container">
            <div class="row mbl confirmation_form">
                <div class="col-12 col-lg-8">
                    <?php $new_card_form = $form['payment'] ?>

                    <h3 class="clearfix">
                        <span class="left"><?php echo __('Credit card information') ?></span>
                    </h3>

                    <p>
                        <?php echo __('Your card details are needed to confirm your request and will be held as security against late cancellations and no-shows.'.
                        ' As long as you pick up the transfer car as agreed, nothing will be charged to your card.') ?>
                        <a href="<?php echo url_for('request/explainCancellationFee') ?>" class="reveal-ajax"><?php echo __('Read more') ?></a><br/>
                    </p>
                    <?php echo $new_card_form['type']->renderError() ?>

                        <div>
                            <div id="cc_tooltip" class="popover right" style="display:none">
                                <div class="arrow"></div>
                                <div class="popover-content">
                                    <p><?php echo __('No charge - only needed to confirm your request.') ?></p>
                                </div>
                            </div>
                           <?php
                                // If user already has credit card saved, show additional options
                                if(isset($new_card_form['card_id'])):
                            ?>
                            <div><strong><?php echo __('You can use') ?></strong></div>
                            <div class="row">
                                <div class="col-6">
                                    <label class="radio" for="balance_card_exist">
                                        <input type="radio" id="balance_card_exist" name="request[payment][balance_card]" data-toggle="radio" value="existing" <?php if (!$new_card_form['balance_card']->getValue() || $new_card_form['balance_card']->getValue()=='existing'): ?>checked="checked"<?php endif ?> onchange="toggleCardType(this)" />
                                        <?php echo __('Previously used credit card') ?>
                                    </label>
                                </div>
                                <div class="col-6">
                                    <label class="radio mll" for="balance_card_new">
                                        <input type="radio" id="balance_card_new" name="request[payment][balance_card]" data-toggle="radio" value="new" <?php if ($new_card_form['balance_card']->getValue()=='new'): ?>checked="checked"<?php endif ?> onchange="toggleCardType(this)"/>
                                        <?php echo __('New credit card') ?>
                                    </label>
                                </div>
                            </div>
                           <div id="stored_card" style="clear:both<?php if ($new_card_form['balance_card']->getValue()=='new'): ?>;display:none<?php endif ?>">
                                <div class="formrow">
                                    <div class="w-50">
                                        <?php echo $new_card_form['card_id']->render(array('class' => 'select2x form-control form-control-square')) ?>
                                        <?php echo $new_card_form['card_id']->renderError() ?>
                                    </div>
                                </div>
                            </div>
                            <?php endif ?>
                                
                            <div id="new_card" data-capture-name="1" class="card-js new_card" <?php if (isset($new_card_form['card_id']) || (isset($new_card_form['balance_card']) && $new_card_form['balance_card']->getValue()=='existing')): ?>style="display:none"<?php endif ?>>
                                <div class="row">
                                    <div class="col-lg-12">
                                        <div id="card-element"></div>
                                        <small class="error" id="card-errors" role="alert"></small>
                                    </div>
                                </div>
                            </div>


                            <?php if (!$listing->get('Owner')->get('allow_debit_card')): ?>
                                <div class="row mtl ptl">
                                    <div class="col-12">
                                            <div class="well clearfix" style="border:1px solid #1abc9c;background:#eef6f2;">
                                                <div class="row">
                                                    <div class="col-1 col-lg-1">
                                                        <span style="padding:5px 10px;background:#1abc9c;font-size:18px;color:#fff">i</span>
                                                    </div>
                                                    <div class="col-11 col-lg-11" style="font-size:16px;font-weight:200">
                                                        <?php echo __('Please note that debit cards are not accepted for this relocation.') ?>
                                                    </div>
                                                </div>
                                            </div>
                                    </div>
                                </div>
                            <?php endif ?>

                            <?php if ($listing->get('Owner')->get('debit_card_text')): ?>
                                <div class="row mtl ptl">
                                    <div class="col-12">
                                            <div class="well clearfix" style="border:1px solid #1abc9c;background:#eef6f2;">
                                                <div class="row">
                                                    <div class="col-1 col-lg-1">
                                                        <span style="padding:5px 10px;background:#1abc9c;font-size:18px;color:#fff">i</span>
                                                    </div>
                                                    <div class="col-11 col-lg-11" style="font-size:16px;font-weight:200">
                                                        <?php echo __('If you are using a Debit Card, please read the') ?> <a href="#tabLegal" id="debitCardPolicy"><?php echo __('Debit Card Policy section') ?></a>
                                                    </div>
                                                </div>
                                            </div>
                                    </div>
                                </div>
                            <?php endif ?>

                            <input type="hidden" id="type_cart" name="type_cart" value="new" />
                        </div>
                </div>
            </div>
        </div>
    </div>
    <?php endif; ?>

    <div class="backdrop-content-inversed pb-0">
        <div class="container">
            <div class="row mbl">
                <div class="col-8 col-lg-8">
                    <h3><?php echo __('Confirm request') ?></h3>

                    <p>
                        <?php echo __('By selecting "Submit request", you confirm that you have read and accepted the ') ?> <a href="<?php echo __('/terms') ?>" class="reveal-ajax"><?php echo __('terms and conditions') ?></a> <?php echo __('of using Transfercar.') ?>
                        <?php if($listing->get('terms_id')): ?>
                            <?php echo link_to(__("and the rental company terms and conditions"), "user/terms?id={$listing->terms_id}", array('class' => 'reveal-ajax')) ?>
                        <?php endif ?>
                        <?php echo __('If your request is accepted by the rental operator, it will become a booking and you will be expected to complete the relocation.') ?>
                        <?php echo __('All cancellations must be made by logging into "My Transfercar" and selecting "Cancel trip" under the booking. Read policy section for more information') ?>
                    </p>
                    <input type="hidden" name="referer" id="add_request_referer" value="<?php echo $sf_params->get('referer') ?: $sf_request->getUri() ?>" />
                    <input type="hidden" id="request_form_sent" name="request_form_sent" value="1" />
                </div>
            </div>

            <div class="row pbl">
                <div class="col-8 col-lg-8">
                    <button class="btn  btn-primary btn-lg" type="submit" id="send_btn" name="send_btn">
                        <?php echo __('Submit request') ?>
                    </button>
                </div>
            </div>


          <div class="row mtl">
            <div class="col-12 col-lg-12">
              <ul class="nav nav-tabs nav-above-content mtl responsive">
                  <li><a class="active show" href="#tabIncluded"><?php echo __('Summary') ?></a></li>
                  <li><a href="#tabLegal"><?php echo __('Policies') ?></a></li>
              </ul> <!-- /tabs -->
            </div>
          </div>
        </div>
    </div>
</form>

<?php $word = 'days' ?>
<?php $price = $listing->getIncludedDaysPrice() ? __('$').$listing->getIncludedDaysPrice() : __('Free') ?>
<div class="trip-details">
    <div class="container">
        <div class="row">
            <div class="col-12 col-lg-12">
                <div class="tab-content responsive">
                    <div class="tab-pane active" id="tabIncluded">
                        <table class="table tables-tc">
                            <tr>
                                <td style="width:35px">&nbsp;</td>
                                <th style="width:160px" class="text-left"><?php echo $price ?> <?php echo $word ?></th>
                                <td class="text-left"><?php echo $request->get('nb_free_days') ?></td>
                            </tr>
                            <?php if ($request->get('nb_paid_days')): ?>
                                <tr>
                                    <td style="width:35px">&nbsp;</td>
                                    <th style="width:160px" class="text-left">Extra <?php echo __('$') ?><?php echo $listing->get('price_per_day').' paid '.$word ?> <?php echo tooltip('paid_days') ?></th>
                                    <td class="text-left"><?php echo $request->get('nb_paid_days') ?> ($<?php echo $listing->get('price_per_day') ?>)</td>
                                </tr>
                            <?php endif ?>
                            <tr>
                                <td style="width:35px">&nbsp;</td>
                                <th style="width:160px" class="text-left"><?php echo __('Kms allowed') ?></th>
                                <td class="text-left">
                                    <?php echo format_number_choice('[0] Unlimited|[1,+Inf] %km%',
                                        array('%km%' => $listing->get('kms_allowed')),
                                        $listing->get('kms_allowed')) ?>
                                </td>
                            </tr>
                            <tr>
                                <td style="width:35px"><img src="/images/insurance_icon_blue.gif" alt="" /></td>
                                <th style="width:160px" class="text-left"><?php echo __('Insurance') ?> <?php echo tooltip('insurance_included') ?></th>
                                <td class="text-left"><?php echo $listing->get('insurance_included') ? default_text($listing->get('insurance_included_text'), __('Yes')) : __('No') ?></td>
                            </tr>
                              <tr>
                                  <td style="width:35px"><img src="/images/petrol_icon_blue.gif" alt="" /></td>
                                  <th style="width:160px" class="text-left"><?php echo __('Fuel included') ?> <?php echo tooltip('petrol_included') ?></th>
                                  <td class="text-left"><?php echo $listing->get('petrol_included') ? default_text($listing->get('petrol_included_text'), __('Yes')) : __('No') ?></td>
                              </tr>
                            <tr>
                                <td style="width:35px"><img src="/images/ferry_icon_blue.gif" alt="" /></td>
                                <th style="width:160px" class="text-left"><?php echo __('Ferry included') ?> <?php echo tooltip('ferry_included') ?></th>
                                <td class="text-left"><?php echo $listing->get('ferry_included') ? default_text($listing->get('ferry_included_text'), __('Yes')) : __('No') ?></td>
                            </tr>
                            <tr>
                                <td style="width:35px"><img src="/images/road_tolls_icon_blue.gif" alt="" /></td>
                                <th style="width:160px" class="text-left"><?php echo __('Road tolls included') ?> <?php echo tooltip('tolls_included') ?></th>
                                <td class="text-left"><?php echo $listing->get('tolls_included') ? default_text($listing->get('tolls_included_text'), __('Yes')) : __('No') ?></td>
                            </tr>
                            <tr>
                                <td style="width:35px"><img src="/images/expenses_icon_blue.gif" alt="" /></td>
                                <th style="width:160px" class="text-left"><?php echo __('Expenses included') ?> <?php echo tooltip('expenses_included') ?></th>
                                <td class="text-left"><?php echo $listing->get('expenses_included') ? default_text($listing->get('expenses_included_text'), __('Yes')) : __('No') ?></td>
                            </tr>
                            <tr>
                                <td><img src="/images/requirements_icon_blue.gif" alt=""/></td>
                                <th style="width:160px"><?php echo __('Requirements') ?></th>
                                <td>
                                    <ul>
                                        <?php if ($listing->get('min_age')): ?>
                                            <li><?php echo __('The driver must be at least %age% years old', ['%age%' => $listing->get('min_age')]) ?></li>
                                        <?php endif ?>
                                        <li><?php echo format_license_type($listing->get('Owner'), $listing->getLocationCountry()) ?></li>
                                    </ul>
                                    <?php echo nl2br($listing->get('comment')) ?>
                                    <?php if ($listing->getCountryDomain() == 'us'): ?>
                                    <br/><small><?php echo __('* Please note that the rental car companies can in some cases add small additional fees such as Sales, Concession, Facility and Vehicle license fee.') ?></small>
                                    <?php endif ?>
                                </td>
                            </tr>
                            <tr>
                                <td><img src="/images/requirements_icon_blue.gif" alt=""/></td>
                                <th><?php echo __('Cards accepted') ?></th>
                                <td>
                                    <ul>
                                        <li>Credit cards: yes</li>
                                        <li>Debit cards: <?php echo $listing->get('Owner')->get('allow_debit_card') ? 'Yes':'No' ?></li>
                                </td>
                            </tr>
                        </table>
                    </div>
                    <div class="tab-pane" id="tabLegal">
                        <?php include_partial('listing/6_legal_details', array('listing' => $listing)) ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php append_slot('javascripts') ?>
<script type="text/javascript" src="https://js.stripe.com/v3/"></script>
<script type="text/javascript" src="/js/add_request.stripe.js?v=2023"></script>
<script type="text/javascript">
    $('#request_form').tcStripe({
        stripe_key: '<?php echo sfConfig::get('sf_stripe_public') ?>'
    });
</script>

<script type="text/javascript">
    <?php $v = 1 ?>
    <?php if (isset($required)): ?>
        <?php $v=3 ?>
    <?php elseif ($form->hasMissingUserDetails()): ?>
        <?php $v=4 ?>
    <?php elseif (!$sf_user->getAttribute('profile')->isVerified()): ?>
        <?php $v=2 ?>
    <?php elseif ($form['checksum']->hasError()): ?>
        <?php $v=5 ?>
    <?php endif ?>

    
    <?php echo push_ga_pageview('/1_3_4_relocation_request_confirmation?v='.$v) ?>

    var maxDropoffDate = new Date('<?php echo format_date($listing->get('date_return_by'), 'i') ?>'),
        earliestDropoffTime = <?php echo $listing->get('dropoff_time')*1000 ?>,
        latestDropoffTime   = <?php echo $listing->get('latest_dropoff_time')*1000 ?>,
        maxDropoffDatetime  = maxDropoffDate.getTime()+latestDropoffTime,
        earliestPickupTime = <?php echo $listing->getMinimumPickupTimestamp()*1000 ?>,
        minimumPickupTime = <?php echo $listing->get('pickup_time')*1000 ?>,
        latestPickupTime = <?php echo $listing->get('latest_pickup_time')*1000 ?>,
        currentTime = new Date("<?php echo date("Y-m-d\TH:i:s") ?>"),
        today = new Date("<?php echo date('Y-m-d\T00:00:00') ?>"),
        rental_type = '<?php echo $listing->getVehicle()->get('rental_type'); ?>',
        credit_card_allowed = '<?php echo !$listing->get('Owner')->get('allow_debit_card') ? 'credit' : 'all' ?>',
        max_days = <?php echo $listing->getDaysAllowedAvailable($listing->get('days_allowed') + $listing->get('paid_days_allowed')) ?>;

    maxDropoffDate.setSeconds(latestDropoffTime/1000);
    $('#debitCardPolicy').click(function(e){
        e.preventDefault();
        $('.nav a[href="#tabLegal"').trigger('click');
        $('html, body').animate( { scrollTop: $('#tabLegal').offset().top }, 100 );
    });
    $('#request_pickup_date').trigger('change');


    if (!is_mobile()){
    // When the user scrolls the page, execute myFunction 
    window.onscroll = function() {myFunction()};

    // Get the navbar
    var navbar = document.getElementById("request_summary");

    // Get the offset position of the navbar
    var sticky = $(navbar).offset().top;

    // Add the sticky class to the navbar when you reach its scroll position. Remove "sticky" when you leave the scroll position
    function myFunction() {
      if (window.pageYOffset >= sticky) {
        navbar.classList.add("sticky")
      } else {
        navbar.classList.remove("sticky");
      }
    }}
</script>
<?php end_slot() ?>
