<?php $word = $request->isAccepted() ? 'booking' : 'request' ?>
<!-- MultiStep Form -->
<div class="container-fluid" id="grad1">
    <div class="row justify-content-center mt-0">
        <div class="col-12 text-center p-0 mt-3 mb-2">
            <div class="card px-0 pt-0 pb-0 mt-0 mb-3">
                <?php echo $form->getErrorSchema() ?>
                <h4>Cancel your <?php echo $word ?></h4>
                <?php $amount = $request->pickupInLessThan('+2 days') ? Settings::getLateCancellationFee() : Settings::getEarlyCancellationFee()  ?>
                <div class="row">
                    <div class="col-12 mx-0">
                        <form id="msform" action="<?php echo url_for('request/cancel?id='.$request->getId()) ?>" class="reveal-ajax" method="post" enctype="multipart/form-data">
                            <fieldset>
                                <div class="form-card">
                                    <h2 class="fs-title text-center">Choose the category that aligns with your cancellation reason</h2>
                                    <?php echo $form['category']->render() ?>
                                </div>
                                <a href="#" class="btn btn-secondary" data-dismiss="modal" aria-hidden="true"><?php echo __('Close') ?></a>
                                <input type="button" name="next" class="next btn btn-info disabled" value="Next"/>
                            </fieldset>
                            <fieldset>
                                <div class="form-card">
                                    <h2 class="fs-title cancellation-nature text-center">Select a subcategory and provide additional details</h2>
                                    <div id="subcategories">
                                        <?php echo $form['subcategory'] ?>
                                    </div>

                                    <div>
                                        <h2 class="fs-title">Comments</h2>
                                        <?php echo $form['comment'] ?>
                                        <small class="help">(15 characters min.)</small>
                                    </div>
                                </div>
                                <input type="button" name="previous" class="previous btn btn-secondary" value="Back"/>
                                <input type="button" name="next" class="next btn btn-info disabled" value="Next"/>
                            </fieldset>
                            <fieldset>
                                <div class="form-card" id="proof_field">
                                    <h2 class="fs-title text-center">Upload any document relevant to the cancellation (optional)</h2>
                                    <div class="dropzone text-center">
                                        <div style="margin-bottom:20px;"><i class="fa fa-regular fa-cloud-arrow-up fa-lg"></i></div>
                                        <div style="margin-top:-20px;" class="d-none d-md-block">Drag &amp; drop to upload file</div>
                                        <div class="d-none d-md-block">OR</div>
                                        <?php echo $form['file'] ?> <i class="fa-sharp fa-solid fa-xmark" id="file_remove" style="display:none"></i>
                                    </div>
                                    <p><small>Kindly refrain from uploading any sensitive or personal information, such as doctor's certificates, copies of personal documents, and similar items.</small></p>
                                </div>

                                <div class="alert alert-danger mhm">
                                        <?php echo __('Warning: You are about to cancel your '.$word) ?>.
                                        <span id="fee_message">
                                            <?php echo __('Transfercar will charge you a $%amount% fee, which is over and above any cancellation fees charged by the rental operator.', ['%amount%' => $amount]) ?>
                                        </span>
                                </div>

                                <?php echo $form['_csrf_token'] ?>
                                <input type="button" name="previous" class="previous btn btn-secondary" value="Back"/>
                                <input type="submit" id="confirm_button" name="cancel" class="next btn btn-info" value="Submit"/>
                            </fieldset>
                            <fieldset>
                                <div class="form-card">
                                    <h2 class="fs-title text-center">Success !</h2>
                                    
                                    <div class="row justify-content-center">
                                        <div class="col-7 text-center">
                                            <h5>Your cancellation has been successfully submitted. We will notify the rental operator about your relocation cancellation. We hope to assist you with your travels in the future</h5>
                                        </div>
                                    </div>
                                </div>
                            </fieldset>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script src="https://kit.fontawesome.com/d8df02d260.js" crossorigin="anonymous"></script>
<script type="text/javascript">
$(document).ready(function(){
    
    var current_fs, next_fs, previous_fs; //fieldsets
    var opacity;
    var categories = <?php echo json_encode($form->getOption('categories', [])) ?>;
    var amount = <?php echo $amount ?>;
    var settings = <?php echo json_encode($form->getOption('settings', [])) ?>;
    // var dropfile = new Dropzone('.dropzone', {
    //     url: '/',
    //     acceptedFiles: "images/*,.pdf,.doc",
    //     maxFiles: 1,
    //     paramName: "request_file",
    //     maxFilesize: 4
    // });

    var dropzone = document.querySelector('.dropzone');
    var dropzone_input = dropzone.querySelector('#request_file');
    var multiple = dropzone_input.getAttribute('multiple') ? true : false;

    ['drag', 'dragstart', 'dragend', 'dragover', 'dragenter', 'dragleave', 'drop'].forEach(function(event) {
      dropzone.addEventListener(event, function(e) {
        e.preventDefault();
        e.stopPropagation();
      });
    });

    dropzone.addEventListener('dragover', function(e) {
      this.classList.add('dropzone-dragging');
    }, false);

    dropzone.addEventListener('dragleave', function(e) {
      this.classList.remove('dropzone-dragging');
    }, false);

    dropzone.addEventListener('drop', function(e) {
      this.classList.remove('dropzone-dragging');
      var files = e.dataTransfer.files;

      var dt = new DataTransfer()
      dt.items.add(files[0])
      dropzone_input.files = dt.files;
      
    }, false);

    dropzone.addEventListener('click', function(e) {
      if (event.target.id != 'request_file') {
          dropzone_input.click();
      }
    });

    var removeInit = false;
    $('#request_file').on('change', function() {

        if (this.files.length == 0 ) {
            return;
        }

        const size = 
           (this.files[0].size / 1024 / 1024).toFixed(2),
              name = this.files[0].name;
     
        if (size > 4) {
            alert("File is too large, 4Mb max");
            this.files = (new DataTransfer()).files;
            return false;
        }

        // Allowing file type
        var allowedExtensions = 
                /(\.jpg|\.jpeg|\.png|\.gif|.pdf)$/i;


        if (!allowedExtensions.exec(name)) {
            alert("Please upload an image or a PDF document");
            this.files = (new DataTransfer()).files;
            return false;
        }

        $('#file_remove').show();

        if (!removeInit) {
            $('#file_remove').on('click', function(e) {
                $('#request_file').val('');
                $('#file_remove').hide();
                e.preventDefault();
                e.stopPropagation();
            });
            removeInit = true;
        }
    });


    

    $(':input[name="request[category]"]').on('change', function(){
        var val = $(':input[name="request[category]"]:checked').val(),
        subcat = typeof(categories[val]) == "string" ? [] : categories[val],
        inputs = [];

        for (var i in subcat) {
            inputs.push(
                '<div class="text-center">' +
                '<label  class="tc-btn-outline-info w-100" for="request_subcategory_'+i+'">'+subcat[i]+
                '<input class="" type="radio" name="request[subcategory]" id="request_subcategory_'+i+'" value="'+i+'" /> ' +
                '</label>' + 
                '</div>'
            );
        }
        $('#subcategories').html(inputs.join(''));
        $('.cancellation-nature, #subcategories').toggle(inputs.join('')!='');
        // $('#subcategories').parents('fieldset').toggleClass('skip', $('#subcategories').html() == '');
        $('#subcategories').parents('fieldset').find('.next').addClass('disabled');
    });

    $(document).on('change', ':input[name="request[category]"], :input[name="request[subcategory]"]', function(){
        var val = $(this).val();
        settings[val] && $('#fee_message').html(settings[val].message.replace('%amount%', amount));
        settings[val] && $('#proof_field').toggle(settings[val].ask_proof);

        $(this).parents('fieldset').find('.next').toggleClass('disabled', !(this.id.startsWith("request_category") || (val && $('#request_comment').val().length > 14)) );
        $(this).parents('fieldset').find('.active').removeClass('active');
        $(this).parent().addClass('active');
        // console.log('toggleclass confirm', !(settings[val] ? settings[val].ask_proof : false ), settings[val]);
        // $('#confirm_button').toggleClass('disabled', !(settings[val] ? settings[val].ask_proof : false ));
    });

    $('textarea[name="request[comment]"]').on('keyup', function(){
        var val = $(this).val();
        $(this).parents('fieldset').find('.next').toggleClass('disabled', ($(this).parents('fieldset').find(':radio').length > 0 && $(this).parents('fieldset').find(':radio:checked').length == 0) || val.length < 15);
    });


    $(".next").click(function(){
        
        if ($(this).hasClass('disabled')) {
            return;
        }
        current_fs = $(this).parent();
        next_fs = $(this).parent().next();
        if (next_fs.hasClass('skip')) {
            next_fs = next_fs.next();
        }
        
        //show the next fieldset
        next_fs.show(); 
        //hide the current fieldset with style
        current_fs.animate({opacity: 0}, {
            step: function(now) {
                // for making fielset appear animation
                opacity = 1 - now;

                current_fs.css({
                    'display': 'none',
                    'position': 'relative'
                });
                next_fs.css({'opacity': opacity});
            }, 
            duration: 600
        });
    });

    $(".previous").click(function(){
        
        current_fs = $(this).parent();
        previous_fs = $(this).parent().prev();
        if (previous_fs.hasClass('skip')) {
            previous_fs = previous_fs.prev();
        }

        //Remove class active
        $("#progressbar li").eq($("fieldset").index(current_fs)).removeClass("active");
        
        //show the previous fieldset
        previous_fs.show();

        //hide the current fieldset with style
        current_fs.animate({opacity: 0}, {
            step: function(now) {
                // for making fielset appear animation
                opacity = 1 - now;

                current_fs.css({
                    'display': 'none',
                    'position': 'relative'
                });
                previous_fs.css({'opacity': opacity});
            }, 
            duration: 600
        });
    });

    $('.radio-group .radio').click(function(){
        $(this).parent().find('.radio').removeClass('selected');
        $(this).addClass('selected');
    });

    $(".submit").click(function(){
        return false;
    })
    
});
</script>
<style type="text/css">

.dropzone {
  border: 0.1rem dashed #3498db;
  padding: 2rem;
  border-radius: 0.25rem;
  background-color: #fff;
  text-align: center;
  font-size: 1.5rem;
  transition: 0.25s background-color ease-in-out;
  cursor: pointer;
  font-size: 14px;
}
  
.dropzone-dragging,
.dropzone:hover {
  background-color: lighten(#3498db, 28%);
}

.dropzone-icon {
  max-width: 75px;
  display: block;
  margin: 0 auto 1.5rem;
}

#request_input,
.dropzone-input {
  display: none;
}


#msform .alert-danger {
    color: #721c24;
    background-color: #f8d7da;
    border-color: #f5c6cb;
}

input[type="file"] {
    overflow: auto;
    text-overflow: ellipsis;
    width: 200px;
}
label.tc-btn-outline-info input,
label.btn input {
    position: absolute;
    clip: rect(0,0,0,0);
    pointer-events: none;
}

label.btn-outline-info {
 border: 1px solid #3498db;
 color: #3498db;
 text-overflow: ellipsis;
 overflow: hidden;
 position: relative;
}

label.tc-btn-outline-info {
    border: 1px solid #3498db;
    color: #3498db;
    text-overflow: ellipsis;
    overflow: hidden;
    font-size: 15px;
    font-weight: normal;
    line-height: 1.4;
    padding: 10px 15px;
    text-align: center;
    display: inline-block;
    user-select: none;
    border-radius: 3px;
    margin-bottom: 0;
}
label.tc-btn-outline-info:hover,
label.tc-btn-outline-info.active,
label.btn-outline-info:hover,
label.btn-outline-info.active {
    background-color: #3498db!important;
    color: #fff;
}

#subcategories {
    margin: 20px 0;
}

/*form styles*/
#msform {
    text-align: center;
    position: relative;
    margin-top: 20px;
}

.form-check-label {
    display: inline;
}

#msform fieldset .form-card {
    background: white;
    border: 0 none;
    border-radius: 0px;
    padding: 20px;
    box-sizing: border-box;
    width: 94%;
    margin: 0 3% 20px 3%;
    /*stacking fieldsets above each other*/
    position: relative;
}

#msform fieldset {
    background: white;
    border: 0 none;
    border-radius: 0.5rem;
    box-sizing: border-box;
    width: 100%;
    margin: 0;
    padding-bottom: 20px;

    /*stacking fieldsets above each other*/
    position: relative;
}

/*Hide all except first fieldset*/
#msform fieldset:not(:first-of-type) {
    display: none;
}

#msform fieldset .form-card {
    text-align: left;
}

#msform textarea {
    padding: 0px 8px 4px 0px;
    border: none;
    border-bottom: 1px solid #ccc;
    border-radius: 0px;
    margin-bottom: 10px;
    margin-top: 2px;
    width: 100%;
    box-sizing: border-box;
    color: #2C3E50;
    font-size: 16px;
    letter-spacing: 1px;
}

#msform textarea:focus {
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
    border: none;
    font-weight: bold;
    border-bottom: 2px solid skyblue;
    outline-width: 0;
}

/*The background card*/
.card {
    z-index: 0;
    border: none;
    border-radius: 0.5rem;
    position: relative;
}

/*FieldSet headings*/
.fs-title {
    font-size: 22px;
    color: #2C3E50;
    margin-bottom: 10px;
    font-weight: bold;
    text-align: left;
    margin-top: 0;
}

#progressbar li {
    list-style-type: none;
    font-size: 12px;
    width: 33%;
    float: left;
    position: relative;
}

/*Fit image in bootstrap div*/
.fit-image{
    width: 100%;
    object-fit: cover;
}
</style>