<?php use_helper('Form') ?>
<?php decorate_with('layout2019') ?>

<div class="row">
  <div class="col-12">
    <?php include_partial('user/flash_notificator'); ?>
    <h2><?php echo $listing->getPickLocation() . ' to '.$request->getDropoff() ?></h2>
    <h3>
        <?php echo __($listing->getVehicle()->get('description')) ?>
        - <?php echo __($listing->getVehicle()->getTransmissionType()) ?>

      <?php include_partial('user/listing_status', array('request' => $request, 'listing' => $listing)) ?>

      <span class="listed_date float-right">
        <?php echo __('Listed') ?> <?php echo tc_format_date($listing->get('created_at')) ?>
        TCID <?php echo $listing->getId() ?>
      </span>
    </h3>
  </div>
</div>


<div class="row listing-details">
    <div class="col-12 col-lg-8">
      <?php if (!$request->isCancelled()): ?>
        <div class="row pvl mvl">
            <div class="col-12">
                <?php switch ($listing->getStatus()) {
                  case Listing::STATUS_ACCEPTED:
                    $width = 50;
                    break;
                  case Listing::STATUS_PICKED_UP:
                    $width = 75;
                    break;

                  case Listing::STATUS_DROPPED_OFF:
                    $width = 100;
                    break;

                  default:
                    $width = 25;
                    break;
                }
                ?>
                <?php include_partial('request/relocation_progress', array('width' => $width)) ?>
            </div>
        </div>
      <?php endif ?>
        <ul class="nav nav-tabs nav-append-content mtl ptl">
            <li><a class="active show" href="#tabphoto"><?php echo __('Photos') ?></a></li>
            <li><a href="#tabmap"><?php echo __('Map') ?></a></li>
        </ul> <!-- /tabs -->

        <div class="tab-content">
          <?php $vehicle = $listing->get('owner_vehicle_type_id') ? $listing->get('OwnerVehicleType') : $listing->get('VehicleType') ?>
          <div class="tab-pane active" id="tabphoto">
            <div class="row">
              <div class="col-12 col-lg-10">
                <div id="myCarousel" class="carousel slide" data-interval="false">
                  <!-- Wrapper for slides -->
                  <div class="carousel-inner">
                    <?php foreach ($vehicle->getImagesPaths() as $i => $path): ?>
                      <div class="item<?php echo $i == 0 ? ' active' : '' ?>">
                        <img src="<?php echo $path ?>"/>
                      </div>
                    <?php endforeach ?>
                  </div>
                  <!-- Controls -->
                  <?php if (count($vehicle->getImagesPaths()) > 1): ?>
                    <a class="left carousel-control fui-arrow-left" href="#myCarousel" data-slide="prev"></a>
                    <a class="right carousel-control fui-arrow-right" href="#myCarousel" data-slide="next"></a>
                  <?php endif ?>
                </div>
              </div>
              <div class="hidden-xs col-12 col-lg-2">
                <?php foreach ($vehicle->getImagesPaths() as $i => $path): ?>
                  <a data-target="#myCarousel" data-slide-to="<?php echo $i ?>" href="#">
                    <img src="<?php echo $path ?>" />
                  </a>
                <?php endforeach ?>
              </div>
            </div>
          </div>

          <!-- /tabs -->
          <div class="tab-pane" id="tabmap" style="min-height: 300px;">
<style type="text/css">.listing_gmap_route{min-height:300px}</style>
            <?php $wrapperScript = <<<EOF
$('.nav-tabs a[href="#tabmap"]').on('click', function (e) {
  if ($('#tabmap > div > *').length == 0) {
    %s;
  }
});
EOF;
?>
            <?php echo gmap_widget_route($listing->getPickupLocation(), $listing->getDropoffLocation(), $wrapperScript) ?>
          </div>
        </div> <!-- /tab-content -->

        <ul class="nav nav-tabs nav-append-content">
            <li><a class="active show" href="#tabTrip"><?php echo __('Trip') ?></a></li>
            <li class="active"><a href="#tabBranches"><?php echo __('Branches') ?></a></li>
            <li><a href="#tabVehicle"><?php echo __('Vehicle') ?></a></li>
            <?php if (count($listing->get('Addons'))): ?>
              <li><a href="#tabExtras"><?php echo __('Extras') ?></a></li>
            <?php endif ?>
            <li><a href="#tabLegal"><?php echo __('Policies') ?></a></li>
        </ul> <!-- /tabs -->

        <div class="tab-content">
            <div class="tab-pane active" id="tabTrip">
              <?php include_partial('listing/17_journey_summary', array('listing' => $listing, 'request' => $request)) ?>
            </div>
            <div class="tab-pane" id="tabBranches">
              <?php if ($request->isAccepted()): ?>
                <?php include_partial('listing/20_accepted_driver_branches_details', array(
                  'listing' => $listing, 'request' => $listing->getAcceptedRequest()
                )) ?>
              <?php else: ?>
                <?php include_partial('listing/18_driver_branches_details', array('listing' => $listing, 'isBooked' => false)) ?>
              <?php endif ?>
            </div>
            <div class="tab-pane" id="tabVehicle">
                <?php include_partial('listing/4_vehicle_details', array('listing' => $listing)) ?>
            </div>
            <?php if (count($listing->get('Addons'))): ?>
              <div class="tab-pane" id="tabExtras">
                  <?php include_partial('listing/5_additional_extras_price_list', array('listing' => $listing)) ?>
              </div>
            <?php endif ?>
            <div class="tab-pane" id="tabLegal">
                <?php include_partial('listing/6_legal_details', array('hide_graph' => true, 'listing' => $listing)) ?>
            </div>
        </div>

    </div>

    <div class="col-12 col-lg-4">
      <?php if ($request->get('Review')->exists()): ?>
        <div class="panel-block">
          <h4 class="text-center"><?php echo __('Your review') ?></h4>
          <?php include_partial('review/rating_stars', $request->get('Review')->get('ro_score')/2) ?>
          <p><?php echo $request->get('Review')->get('ro_review') ?></p>
        </div>
      <?php endif ?>
        <div class="panel-block">
            <h4 class="text-left"><?php echo $request->isAccepted() ? __('Request details') : __('Booking details') ?></h4>
            <table class="table tables-tc">
                <tr>
                    <th class="six"><?php echo __('Pickup') ?></th>
                    <td class="text-right">
                      <?php echo tc_format_date($request->get('pickup_date')) ?>
                      <?php echo tc_format_date($request->get('pickup_time'), 'hours') ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo __('Dropoff') ?></th>
                    <td class="text-right">
                      <?php echo tc_format_date($request->get('drop_off_date')) ?>
                      <?php echo tc_format_date($request->get('dropoff_time'), 'hours') ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo __('Included days') ?></th>
                    <td class="text-right">
                      <strong><?php echo $request->get('nb_free_days') ?></strong>
                    </td>
                </tr>
                <tr>
                    <th><?php echo __('Price per included days') ?></th>
                    <td class="text-right">
                      <strong>
                        <?php $price = (int) $listing->get('Owner')->get('relo_price_per_day') ?>
                        <?php echo $price == 0 ? 'Free' : '$'.$price.' '.$listing->getCurrency() ?>
                      </strong>
                    </td>
                </tr>
                <?php if ($request->get('nb_paid_days')): ?>
                    <tr>
                        <th><?php echo __('Extra days') ?></th>
                        <td class="text-right">
                          <strong><?php echo $request->get('nb_paid_days') ?></strong>
                        </td>
                    </tr>
                    <tr>
                        <th><?php echo __('Price per extra day') ?></th>
                        <td class="text-right">
                          <strong><?php echo __('$') ?><?php echo $listing->get('price_per_day') ?> <?php echo $listing->getCurrency() ?></strong>
                        </td>
                    </tr>
                <?php endif ?>
                <tr>
                    <th><?php echo __('Total days price') ?></th>
                    <td class="text-right">
                      <strong><?php echo __('$') ?><?php echo $listing->getRevenue($request) ?> <?php echo $listing->getCurrency() ?></strong>
                    </td>
                </tr>
            </table>
        </div>
        <div class="panel-block">
          <?php include_partial('listing/14_driver_statistical_details_about_owner', array(
            'listing' => $listing,
            'isBooked' => $request->isAccepted()
          )); ?>
        </div>

        <?php if (!$request->isCancelled() && !$request->isStatus([Request::STATUS_EXPIRED, Request::STATUS_RATED])): ?>
          <div class="text-right">
            <?php echo link_to(__('Cancel booking'), 'request/cancel?id='.$request->getId(), array('class' => 'reveal-ajax btn btn-danger', 'data-reveal-width' => 40)) ?>
          </div>
        <?php endif ?>
    </div>
</div>
<style type="text/css">
  .tables-tc th {
    text-align: left;
    padding-left: 5px!important;
  }
  h3, h4 {
    font-size: 24px;
  }
  .tables-tc>tbody>tr>td {
    border-bottom: 2px solid #eef0f0;
  }
  .listed_date {
    font-size: 14px;
    font-weight: 400;
  }
</style>
