<?php use_javascript('owner/jquery.form.min.js') ?>
<?php use_stylesheet('rating.css') ?>
<?php // use_stylesheet('responsive-tables.css') ?>
<?php // use_javascript('responsive-tables.js') ?>
<?php if (count($requests)): ?>
<div class="table-responsive">
<table class="table">
    <thead>
        <tr>
            <th><?php echo __('Status') ?></th>
            <th><?php echo __('Route') ?></th>
            <th><?php echo __('Vehicle') ?></th>
            <th><?php echo __('Rental Operator') ?></th>
            <th><?php echo __('Dates') ?></th>
            <th><?php echo __('Options') ?></th>
        </tr>
    </thead>

    <tbody>
        <?php foreach ($requests as $request): ?>
            <?php $listing = $request->getListing() ?>
            <tr>
                <td class="status">
                    <?php include_partial('user/listing_status', array('listing' => $listing, 'request' => $request)) ?>
                </td>
                <td>
                   <?php echo $listing->get('PickupLocation') ?> <?php echo __('to') ?> <?php echo $request->getDropoff() ?>
                <td>
                    <?php echo __((string) $listing->get('VehicleType')) ?>
                </td>
                <td>
                    <?php if ($listing->isBookedBy($sf_user->getId())): ?>
                        <?php echo $listing->get('Owner')->get('company') ?>
                    <?php else: ?>
                        N/A<sup class="fa fa-info">i</sup>
                    <?php endif ?>
                </td>
                <td>
                    <?php echo tc_format_date($request->get('pickup_date'), 'short') ?> -
                    <?php echo tc_format_date($request->get('drop_off_date')) ?>
                </td>
                <td class="actions col-2">
                    <ul style="list-style-type: none;padding: 0;">
                        <?php if ($listing->isStatus(Listing::STATUS_NEW) || $listing->isBookedBy($sf_user->id)): ?>
                            <li>
                                <?php if ($listing->isBooked()): ?>
                                    <a href="<?php echo url_for('@request_view?'.$request->getTripParams(ESC_RAW)) ?>"><?php echo __('Booking details') ?></a>
                                <?php else: ?>
                                    <a href="<?php echo $listing->getRelocationQuery('listing/view') ?>"><?php echo __('Request details') ?></a>
                                <?php endif ?>
                            </li>
                            <?php if (!$request->isStatus([Request::STATUS_EXPIRED, Request::STATUS_RATED]) && !$request->isCancelled() && !$request->canBeReviewed()): ?>
                            <li>
                                <?php echo link_to(__($request->isAccepted() ? 'Cancel booking' :'Withdraw request'), 'request/cancel?id='.$request->getId(), array('class' => 'reveal-ajax')) ?>
                            </li>
                            <?php endif ?>
                        <?php else: ?>
				            <li><a href="<?php echo $listing->getRelocationQuery('listing/view') ?>"><?php echo __('Request details') ?></a></li>
                        <?php endif ?>
                        <?php if ($request->canBeReviewed()): ?>
                            <li><a href="#" onclick="return show(el, '<?php echo $listing->get('PickupLocation')->get('name')?>','<?php echo $listing->get('DropoffLocation')->get('name')?>','<?php echo $listing->get('Owner')->get('company') ?>','<?php echo $listing->get('VehicleType')->get('description') ?>','<?php echo $request->get('nb_free_days') ?>')">Rate experience</a></li>
                        <?php endif ?>
                        <?php if ($request->isReviewed()): ?>
                            <li><?php echo link_to(__('View rating'), 'review/view?id='.$request->getId(), array('class' => 'reveal-ajax')) ?></li>
                        <?php endif ?>
                    </ul>
                </td>
            </tr>
        <?php endforeach ?>
    </tbody>
</table>
</div>
<?php else: ?>
    <div class="phm">
        <p><?php echo __('You do not have any opened request yet!') ?></p>
        <p><?php echo __('Start searching our website or see our most popular listings below.') ?></p>

        <form action="<?php echo url_for('listing/browse') ?>" method="post">
            <?php include_component('home', 'heroForm') ?>
        </form>
        <hr/>
        <h5 class="mbl"><?php echo __('Popular relocations') ?></h5>
        <?php include_component('listing', 'listTable', array(
            'columnClass' => '3',
            'currentUrl' => url_for('@myTransfercar'),   // do not change it
            //'fromLocations' => '',          // leave empty, specify location name (as in the backend) inside '' or an array('location one', 'location two')
            //'toLocations' => '',            // leave empty, specify location name (as in the backend) inside '' or an array('location one', 'location two')
            //'vehicleType' => 'Coupe (4 seats)',             // leave empty, specify singular vehicle name (as in backend) as '' or array('Sedan (4 seats)', 'Hatchback (5 seats)', 'Sedan (5 seats)')
            'owner' => '',                     // leave empty or sepcyfy owner name as in backend
            'sortBy' => array(                   // do not change it
                    'auto' => true,        // this can have TRUE OR FALSE values. If FALSE standard sorting occurs
                    'from_location' => '',  // ASC or DSC
                    'to_location' => '',       // leave empty, specify location name (as in the backend) inside '' or an array('location one', 'location two')
                    'vehicle_type' => '',      // leave empty, specify location name (as in the backend) inside '' or an array('location one', 'location two')
                    'pickup_date' => '',
                    'droppoff_date' => '',
                    'number_of_extras' => '',  // number you may specify without quotes
                ),
            'limit' => 4,                  // number of max rows in list
            'showAllOfLess' => 1
            )); ?>
    </div>
<?php endif ?>

<?php append_slot('javascripts') ?>
<script type="text/javascript" src="https://static.asknice.ly/dist/standalone/asknicely-in-app-conversation.js"></script>

        <link href="https://nextransfer.asknice.ly/dist/standalone/asknicely-in-app-conversation.css" rel="stylesheet" type="text/css" charset="utf-8">
<script type="text/javascript">
function show(el, from, to, operator, vehicle, free_days) {
        var an = askNicelyConversation({
                config: {
                        is_dev:         false,
                        false:          true, // Optional - only set this true for testing to the popup so it will ALWAYS appear
                        alignment:      "center", // Optional - "left", "center" or "right"
                        domain_key:     "nextransfer", // Required
                        template_name:  "Default", // Required - the survey template you wish to use
                        name:           "<?php echo $sf_user->getFullName() ?>", // Optional - but nice to have
                        email:          "<?php echo $sf_user->email ?>", // Required - if no email, this should be a unique id for this customer in an email-like format. But a real email address is more powerful for follow-ups
                        email_hash:     "<?php echo hash_hmac(
                            'sha256',
                            $sf_user->email,
                            'aJAFVLfLjLfslP53tQUFpYd7rS2k6HBwc43M4QQkXdj9JrBJuXU-lI89HZK7WGzlfl7TaX72EuofcURbUq7KOwfARmjis1JGbruRE85JxXuLH0ZOOf6BUAwW50W896rk'
                        ); ?>",  // Required - *security hash of this customers email - see below
                        created:        <?php echo strtotime($sf_user->when_registered) ?>, // Highly desired - unix timestamp when this customer joined your service.
                },
                customData: {
                        segment: "Driver <?php echo strtoupper($sf_user->getUserDomain()) ?>",
                        from: from,
                        to: to,
                        operator: operator,
                        vehicle: vehicle,
                        free_days: free_days
                }
        });

        an.popup.on('close', function(){
            console.log('close', an.scoreClicked);
            if (an.scoreClicked) {
                el.remove();
            }
        });
        return false;
}
</script>
<?php end_slot() ?>
