<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">

    <?php include_http_metas() ?>
    <?php include_metas() ?>

    <?php include_slot('head_extras') ?>

    <?php include_title() ?>


    <?php if ($sf_request->getCookie('tc_responsive', 1)): ?>
        <meta name="viewport" content="width=device-width,initial-scale=1,user-scalable=no" />
    <?php endif ?>
    <link rel="shortcut icon" href="/images/favicon/favicon.ico">


    <?php use_stylesheet_grouped('/flatui14/dist/css/vendor/bootstrap.min.css', 'global') ?>
    <?php use_stylesheet_grouped('/flatui14/dist/css/flat-ui-pro.min.css', 'global') ?>
    <?php use_stylesheet_grouped('/flatui14/transfercar/css/app.css', 'global') ?>
    <?php $stylesheets = get_combined_stylesheets('global') ?>
    <?php echo str_replace('rel="stylesheet"', 'rel="preload" as="style"', $stylesheets); ?>
    <?php echo $stylesheets ?>
    <!-- Loading Transfercar css -->
    <?php include_combined_stylesheets() ?>


    
    <link rel="preconnect" href="https://connect.facebook.net">

  </head>
  <body>

    <?php include_partial('main/google_analytics'); ?>
<?php if (false): ?>
    <div class="row">
        <div class="col-12 col-lg-12">
            <div class="alert alert-warning alert-dismissable" role="alert" style="background-color: #fcf8e3;border-color: #faebcc;color: #8a6d3b;margin-bottom:0;text-align:center">
                <strong><a href="/covid19">Information Regarding Coronavirus (COVID-19)</a></strong>
            </div>
        </div>
    </div>
<?php endif ?>
    <?php if (in_array(date('m-d'), array('12-24', '12-25', '12-31', '01-01'))): ?>
        <div class="row">
            <div class="col-12 col-lg-12">
                <div class="alert alert-warning alert-dismissable" role="alert" style="background-color: #fcf8e3;border-color: #faebcc;color: #8a6d3b;margin-bottom:0;">
                    <strong>Public holiday notice:</strong>
                    Most of our rental operators will be closed on Christmas day and 1st of January,
                    and responses to your queries may be delayed.<br/>
                    We apologize for any inconvenience caused. Best wishes! - The Transfercar Team.<br/>

                </div>
            </div>
        </div>
    <?php endif ?>


    <?php include_partial('global/partials/navbar') ?>

    <?php if ($sf_user->hasFlash('notice')): ?>
        <div class="dialog" style="margin-top:-20px;">
            <span class="fui-check mrl"></span><?php echo __($sf_user->getFlash('notice')) ?>
        </div>
    <?php endif ?>

    <div id="main" class="<?php echo get_slot('main_block_css_class') ?: 'container mtl' ?>">
        <?php echo $sf_content; ?>
    </div>

    <?php include_partial('global/partials/footer') ?>

    <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
    <script src="https://code.jquery.com/jquery-3.3.1.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>

    <!-- Bootstrap 4 requires Popper.js -->
    <script src="https://unpkg.com/popper.js@1.14.1/dist/umd/popper.min.js" crossorigin="anonymous"></script>

    <!-- script src="http://vjs.zencdn.net/6.6.3/video.js"></script-->

    <script src="/flatui14/dist/scripts/flat-ui-pro.min.js"></script>
    <script type="text/javascript">
        function is_mobile(){
          if (window.matchMedia("(min-width: 768px)").matches) {
            return false;
          }

          return true;
        }
        function revealAjax(e) {
      e.preventDefault();
      if (jQuery('.tc-reveal-content').length === 0) {
        var revealHtml = jQuery('<div class="reveal-modal modal fade"><div class="modal-dialog"><div class="modal-content">' +
          '<div class="tc-reveal-content phm">' +
            '<img src="/greybox/indicator.gif" />' +
          '</div>' +
        '</div></div></div>').appendTo('body');
        var self = this;

        if (jQuery(self).attr('data-reveal-height')) {
          revealHtml.find('.tc-reveal-content').css({
            height: jQuery(window).height() * parseFloat(jQuery(self).attr('data-reveal-height')),
            'overflow-y': 'auto',
            'margin-right': '-20px'
          });
        }

        revealHtml.on('show.bs.modal', function() {
            jQuery('.tc-reveal-content').find('h1,h2,h3,h4,h5,h6').each(function(){
              try { window._typeface_js.replaceText(this); } catch(e) {};
              this.style.visibility = 'visible';
            });
            var width = jQuery(self).attr('data-reveal-width') || jQuery(self).attr('datarevealwidth')
            if (width && !is_mobile()) {
              var width = parseInt(width);

              jQuery('.reveal-modal > .modal-dialog').css({
	      width: width + '%',
		      maxWidth: width+'%'
              });

              jQuery('.reveal-modal.open').css({
                marginLeft: (jQuery('.reveal-modal.open').outerWidth()/2*-1) + 'px'
              });
            }
          });
        revealHtml.on('xhide.bs.modal', function() {
            revealHtml.remove();
            var refresh = jQuery(self).attr('data-reveal-refresh');

            if (undefined === refresh || true == refresh) {
              document.location.href = document.location.href;
            }
          });

        revealHtml.modal();
      } else {
        var revealHtml = jQuery('.reveal-modal').modal();
        //
      }

      if (jQuery(this).is('form')) {
	      console.log('submit!');
	      var formData = new FormData(this);
	      console.log(formData);
        jQuery.ajax({
          // beforeSend: function() {
          //   jQuery('.tc-reveal-content').html('<img src="/greybox/indicator.gif" />');
          // },
	  processData: false,
          contentType: false,
          data: formData,
          target: '.tc-reveal-content',
          method: 'POST',
          url: this.action,
          error: function() {
            revealHtml.find('.tc-reveal-content').html('<h3 class="alert">Oops, an error occured!</h3>');
          },
          beforeSend: function() {
            jQuery('.tc-reveal-content').html('<img src="/greybox/indicator.gif" />');
          },
          success: function(response){
            jQuery('.tc-reveal-content').html(response);
          }
        });
      } else {
        jQuery.ajax({
          url: this.href,
          beforeSend: function() {
            jQuery('.tc-reveal-content').html('<img src="/greybox/indicator.gif" />');
          },
          success: function(response) {
            revealHtml.find('.tc-reveal-content').html(response);
          },
          error: function() {
            revealHtml.find('.tc-reveal-content').html('<h3 class="alert">Oops, an error occured!</h3>');
          }
        });
      }

      return false;
    }

    function revealConfirm() {
      var message = jQuery(this).attr('reveal-message') || 'Are you sure?';
      var button = jQuery(this).attr('reveal-button-title') || 'Confirm';
      var title =  jQuery(this).attr('reveal-confirm-title') || 'Please confirm';

      var revealHtml = jQuery('<div class="reveal-modal">' +
        '<div class="tc-reveal-content">' +
          '<h4>' + title + '</h4>' +
          '<hr/>' +
          '<div class="row">' +
            '<div class="twelve columns">' +
              '<form action="'+this.href+'" method="post">' +
                '<p class="text-center">'+message + '</p>' +
                '<div class="text-center">' +
                  '<button type="submit" class="button medium alert">'+button+'</button>' +
                '</div>' +
              '</form>' +
            '</div>' +
          '</div>' +
          '<a class="close-reveal-modal">&#215;</a>' +
        '</div>').appendTo('body');
      var self = this;

      if (jQuery(self).attr('data-reveal-height')) {
        revealHtml.find('.tc-reveal-content').css({
          height: jQuery(window).height() * parseFloat(jQuery(self).attr('data-reveal-height')),
          'overflow-y': 'auto',
          'margin-right': '-20px'
        });
      }

      revealHtml.modal({
        opened: function() {
          jQuery('.tc-reveal-content').find('h1,h2,h3,h4,h5,h6').each(function(){
            try { window._typeface_js.replaceText(this); } catch(e) {};
            this.style.visibility = 'visible';
          });

	  console.log(is_mobile());
          if (jQuery(self).attr('data-reveal-width') && !is_mobile()) {
            var width = parseInt(jQuery(self).attr('data-reveal-width'));

            jQuery('.reveal-modal.open').css({
              width: width + '%'
            });

            jQuery('.reveal-modal.open').css({
              marginLeft: (jQuery('.reveal-modal.open').outerWidth()/2*-1) + 'px'
            });
          }
        },
        closed: function() {
          revealHtml.remove();
          document.location.href = document.location.href;
        }
      });

      return false;
    }

jQuery(function(){
    jQuery('body').on('click', 'a.reveal-ajax', revealAjax);
    jQuery('body').on('submit', 'form.reveal-ajax', revealAjax);
    jQuery('body').on('click', 'a.reveal-confirm', revealConfirm);
});
        function push_ga_menu_event(name, cat) {
          if (window.dataLayer) {
            dataLayer.push({
              'gaEventCategory': cat ? cat : 'Menu',
              'gaEventAction': 'click-menu',
              'gaEventLabel': name
            });
          }

          return true;
        }

        jQuery('.nav-tabs a').on('click', function (e) {
          e.preventDefault();
          jQuery(this).tab('show');
        });

        jQuery("[data-toggle=tooltip]")
            .tooltip({container:'body'})
            .on('click', function(e){
              e.preventDefault();
              e.stopPropagation();
            });
    </script>
    <?php include_combined_javascripts() ?>
    <?php include_slot('javascripts') ?>
    <?php include_partial('main/google_analytics_bottom') ?>

    <!-- <div id="fb-root"></div>
    <script>(function(d, s, id) {
      var js, fjs = d.getElementsByTagName(s)[0];
      if (d.getElementById(id)) return;
      js = d.createElement(s); js.id = id;
      js.src = "//connect.facebook.net/en_EN/sdk.js#xfbml=1&version=v2.5&appId=246225595408636";
      fjs.parentNode.insertBefore(js, fjs);
    }(document, 'script', 'facebook-jssdk'));</script> -->
  </body>
</html>
