<h4><?php echo __('Driver cancellation') ?> <a href="#" class="close-reveal-modal" data-reveal-refresh="0" data-dismiss="modal" aria-hidden="true">&times;</a></h4>
<hr/>
<div class="row">
    <div class="twelve columns">
        <form id="msform" action="<?php echo url_for('listing/driverCancelled?id='.$listing->getId()) ?>" class="reveal-ajax request_rate_form reveal-ajax" method="post">

            <fieldset>
                <div class="form-card">
                    <h2 class="fs-title">Choose the category that aligns with the cancellation reason given by driver</h2>
                    <?php echo $form['category']->render() ?>
                </div>
                <a href="#" class="radius button small secondary" data-dismiss="modal" aria-hidden="true"><?php echo __('Close') ?></a>
                <input type="button" name="next" class="next radius button small primary disabled" value="Next"/>
            </fieldset>
            <fieldset>
                <div class="form-card">
                    <h2 class="fs-title cancellation-nature">Select a subcategory and provide additional details discussed</h2>
                    <div id="subcategories">
                        <?php echo $form['subcategory'] ?>
                    </div>

                    <div>
                        <h2 class="fs-title">Comments</h2>
                        <?php echo $form['internal_comment'] ?>
                        <small class="help">15 characters min.</small>
                    </div>
                </div>
                <input type="button" name="previous" class="previous radius button small secondary" value="Back"/>
                <input type="button" name="next" class="next radius button small primary disabled" value="Next"/>
            </fieldset>
            <fieldset>
                <div class="form-card">
                    <p><?php echo __('This will mark booking %tcid% as cancelled by the driver. We will process refund of your credits within 7 days.', ['%tcid%' => $listing->getId()]) ?></p>

                    <p><?php echo __('Please note that we will contact the driver to confirm the cancellation, and the driver can be charged a no-show fee depending on how late the driver cancelled.') ?></p>

                    <p><?php echo __('Please indicate when the driver cancelled:') ?></p>

                    <div>
                        <?php echo $form['canceltime']->render() ?>
                    </div>
                </div>

                <?php echo $form['_csrf_token'] ?>
                <input type="button" name="previous" class="previous radius button small secondary" value="Back"/>
                <input type="submit" id="confirm_button" name="cancel" class="next radius button small primary" value="Submit"/>
            </fieldset>
            <fieldset>
                <div class="form-card">
                    <h2 class="fs-title text-center">Success !</h2>
                    
                    <div class="row justify-content-center">
                        <div class="col-7 text-center">
                            <h5>You have successfully cancelled your relocation</h5>
                        </div>
                    </div>
                </div>
            </fieldset>
        </form>
        <hr/>
        <div class="text-center">
            <?php echo link_to(__('We cancelled'), 'listing/cancel?id='.$listing->getId(), array('class' => 'reveal-ajax button small secondary radius')) ?> -
            <?php echo link_to(__('Driver did not show up'), 'listing/noshow?id='.$listing->getId(), array('class' => 'reveal-ajax button small secondary radius')) ?>
        </div>
    </div>
</div>


<script src="https://kit.fontawesome.com/d8df02d260.js" crossorigin="anonymous"></script>
<script type="text/javascript">
$(document).ready(function(){
    
    var current_fs, next_fs, previous_fs; //fieldsets
    var opacity;
    var categories = <?php echo json_encode($form->getOption('categories', [])) ?>;
    var amount = 25;
    var settings = <?php echo json_encode($form->getOption('settings', [])) ?>;

    $(':input[name="request[category]"]').on('change', function(){
        var val = $(':input[name="request[category]"]:checked').val(),
        subcat = typeof(categories[val]) == "string" ? [] : categories[val],
        inputs = [];

        for (var i in subcat) {
            inputs.push(
                '<div class="text-center">' +
                '<label  class="tc-btn-outline-info w-100" for="request_subcategory_'+i+'">'+subcat[i]+
                '<input class="" type="radio" name="request[subcategory]" id="request_subcategory_'+i+'" value="'+i+'" /> ' +
                '</label>' + 
                '</div>'
            );
        }
        $('#subcategories').html(inputs.join(''));
        $('.cancellation-nature, #subcategories').toggle(inputs.join('')!='');
        // $('#subcategories').parents('fieldset').toggleClass('skip', $('#subcategories').html() == '');
        $('#subcategories').parents('fieldset').find('.next').addClass('disabled');
    });

    $(document).on('change', ':input[name="request[category]"], :input[name="request[subcategory]"]', function(){
        var val = $(this).val();
        settings[val] && $('#fee_message').html(settings[val].message.replace('%amount%', amount));
        settings[val] && $('#proof_field').toggle(settings[val].ask_proof);

        $(this).parents('fieldset').find('.next').toggleClass('disabled', !(this.id.startsWith("request_category") || (val && $('#request_internal_comment').val().length > 14)) );
        $(this).parents('fieldset').find('.active').removeClass('active');
        $(this).parent().addClass('active');
        // console.log('toggleclass confirm', !(settings[val] ? settings[val].ask_proof : false ), settings[val]);
        // $('#confirm_button').toggleClass('disabled', !(settings[val] ? settings[val].ask_proof : false ));
    });

    $('textarea[name="request[internal_comment]"]').on('keyup', function(){
        var val = $(this).val();
        $(this).parents('fieldset').find('.next').toggleClass('disabled', ($(this).parents('fieldset').find(':radio').length > 0 && $(this).parents('fieldset').find(':radio:checked').length == 0) || val.length < 15);
    });

    $(".next").click(function(){
        
        if ($(this).hasClass('disabled')) {
            return;
        }
        current_fs = $(this).parent();
        next_fs = $(this).parent().next();
        if (next_fs.hasClass('skip')) {
            next_fs = next_fs.next();
        }
        
        //show the next fieldset
        next_fs.show(); 
        //hide the current fieldset with style
        current_fs.animate({opacity: 0}, {
            step: function(now) {
                // for making fielset appear animation
                opacity = 1 - now;

                current_fs.css({
                    'display': 'none',
                    'position': 'relative'
                });
                next_fs.css({'opacity': opacity});
            }, 
            duration: 600
        });
    });

    $(".previous").click(function(){
        
        current_fs = $(this).parent();
        previous_fs = $(this).parent().prev();
        if (previous_fs.hasClass('skip')) {
            previous_fs = previous_fs.prev();
        }

        //Remove class active
        $("#progressbar li").eq($("fieldset").index(current_fs)).removeClass("active");
        
        //show the previous fieldset
        previous_fs.show();

        //hide the current fieldset with style
        current_fs.animate({opacity: 0}, {
            step: function(now) {
                // for making fielset appear animation
                opacity = 1 - now;

                current_fs.css({
                    'display': 'none',
                    'position': 'relative'
                });
                previous_fs.css({'opacity': opacity});
            }, 
            duration: 600
        });
    });

    $('.radio-group .radio').click(function(){
        $(this).parent().find('.radio').removeClass('selected');
        $(this).addClass('selected');
    });

    $(".submit").click(function(){
        return false;
    });
    
});
</script>
<style type="text/css">
.w-100 {
    width: 100%;
}
.dropzone {
  border: 0.1rem dashed #3498db;
  padding: 2rem;
  border-radius: 0.25rem;
  background-color: #fff;
  text-align: center;
  font-size: 1.5rem;
  transition: 0.25s background-color ease-in-out;
  cursor: pointer;
  font-size: 14px;
}
  
.dropzone-dragging,
.dropzone:hover {
  background-color: lighten(#3498db, 28%);
}

.dropzone-icon {
  max-width: 75px;
  display: block;
  margin: 0 auto 1.5rem;
}

#request_input,
.dropzone-input {
  display: none;
}


#msform .alert-danger {
    color: #721c24;
    background-color: #f8d7da;
    border-color: #f5c6cb;
}

input[type="file"] {
    overflow: auto;
    text-overflow: ellipsis;
}
label.tc-btn-outline-info input,
label.btn input {
    position: absolute;
    clip: rect(0,0,0,0);
    pointer-events: none;
}

label.btn-outline-info {
 border: 1px solid #3498db;
 color: #3498db;
 text-overflow: ellipsis;
 overflow: hidden;
 position: relative;
}

label.tc-btn-outline-info {
    border: 1px solid #3498db;
    color: #3498db;
    text-overflow: ellipsis;
    overflow: hidden;
    font-size: 15px;
    font-weight: normal;
    line-height: 1.4;
    padding: 10px 15px;
    text-align: center;
    display: inline-block;
    user-select: none;
    border-radius: 3px;
    margin-bottom: 0;
}
label.tc-btn-outline-info:hover,
label.tc-btn-outline-info.active,
label.btn-outline-info:hover,
label.btn-outline-info.active {
    background-color: #3498db!important;
    color: #fff;
}

#subcategories {
    margin: 20px 0;
}

/*form styles*/
#msform {
    text-align: center;
    position: relative;
}

.form-check-label {
    display: inline;
}

#msform fieldset .form-card {
    background: white;
    border: 0 none;
    border-radius: 0px;
    padding: 0px;
    box-sizing: border-box;
    width: 100%;
    margin: 0 0 20px 0;
    /*stacking fieldsets above each other*/
    position: relative;
}

#msform fieldset {
    background: white;
    border: 0 none;
    border-radius: 0.5rem;
    box-sizing: border-box;
    width: 100%;
    margin: 0;
    padding: 0px;

    /*stacking fieldsets above each other*/
    position: relative;
}

/*Hide all except first fieldset*/
#msform fieldset:not(:first-of-type) {
    display: none;
}

#msform fieldset .form-card {
    text-align: left;
}

#msform textarea {
    padding: 0px 8px 4px 0px;
    border: none;
    border-bottom: 1px solid #ccc;
    border-radius: 0px;
    margin-bottom: 10px;
    margin-top: 2px;
    width: 100%;
    box-sizing: border-box;
    color: #2C3E50;
    font-size: 16px;
    letter-spacing: 1px;
}

#msform textarea:focus {
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
    border: none;
    font-weight: bold;
    border-bottom: 2px solid skyblue;
    outline-width: 0;
}

/*The background card*/
.card {
    z-index: 0;
    border: none;
    border-radius: 0.5rem;
    position: relative;
}

/*FieldSet headings*/
.fs-title {
    font-size: 16px;
    color: #2C3E50;
    margin-bottom: 10px;
    font-weight: bold;
    text-align: left;
    margin-top: 0;
}

#progressbar li {
    list-style-type: none;
    font-size: 12px;
    width: 33%;
    float: left;
    position: relative;
}

/*Fit image in bootstrap div*/
.fit-image{
    width: 100%;
    object-fit: cover;
}
</style>