<style type="text/css">
            
            .progress-bar-fee {
                background-color: #f1c40f;
            }

            .tables-tc .progress-bar-warning {
                background-color: #ff9933;
            }

            .progress {
                height: 20px;
            }

            .progress-bar {
                line-height: 20px;
                 text-align: left;
                padding-left: 5px;
            }

            .progress-text > div {
                text-align:right;float:left;
            }

            .progress-text > div:after {
                content: "\2609";
                position: relative;
                right: 10px;
                top: 30px;
                color: #fff;
            }

            .progress-text > div:last-child:after {
                content: "";
            }

            .progress-text .label {
                margin-right: -14px;
            }
        </style>
<h3><?php echo isset($title) ? $title : 'Policy' ?></h3>
<table class="twelve table tables-tc">
    <tr>
        <th><?php echo __('Driver license') ?></th>
        <td>
            <?php echo format_license_type($listing->get('Owner'), $listing->getLocationCountry()) ?>
        </td>
    </tr>
    <tr>
        <th class="col-xs-3"><?php echo __('Minimum age') ?></th>
        <td><?php echo default_text($listing->get('min_age'), __('No')) ?></td>
    </tr>
    <?php if ($listing->get('InsurancePolicy')->getId()): ?>
    <tr>
        <th><?php echo __('Standard waiver') ?></th>
        <td>
        <ul>
            <li class="mbm">
                <b><?php echo __('Excess liability') ?></b><i class="fui-info-circle tip-top" data-toggle="tooltip" data-tooltip-style="light" title="The Excess Liability is the amount you might be liable to pay in case of loss or damage to the rental vehicle."></i>:
                <?php echo $listing->get('InsurancePolicy')->get('excess') ?>
            </li>
            <li>
                <b><?php echo __('Excess liability reduction') ?></b> <i class="fui-info-circle tip-top" data-toggle="tooltip" data-tooltip-style="light" title="As an option, you can choose to reduce your Excess Liability."></i>:
                <?php echo $listing->get('InsurancePolicy')->get('waiver') ?>
            </li>

        </ul>
        </td>
    </tr>
    <?php endif ?>
    <?php if (NO_SHOW_FEE): ?>
    <tr>
        <th><?php echo __('Cancellation policy') ?></th>
        <td>
            <?php if ($listing->hasBond()): ?>
                <?php echo __(
                'Once the request is accepted, any cancellations must be made directly to the rental operator AND in the "My Transfercar" page in your Transfercar account. '.
                'Please note that for this relocation you will lose your deposit if you cancel your booking. Therefore Transfercar\'s standard cancellation fees do not apply to this relocation. '.
                'These special conditions for cancellation fees only apply to this listing and replace clause 5 and 6 in Transfercar\'s usual terms and conditions for relocation drivers.') ?>
            <?php else: ?>
                <?php echo __(
                    'Once your relocation request is accepted, a cancellation fee applies at all times '.
                    'and will be charged to your credit card when you cancel, or do not show up for your booking. '.
                    'For cancellations made more than 48hrs ahead of pickup, a cancellation fee of $%early_fee% will be applied. '.
                    'Late cancellations (within 48 hours of pick-up time) will be charged $%late_cancellation_fee%, and no-shows will be charged $%amount%. '.
                    'Cancellations <b>must</b> be made by logging into <b>"My Transfercar"</b> and selecting <b>"Cancel trip"</b> under the booking. '.
                    'Please be aware that the rental operator might have a separate cancellation fee beyond Transfercar\'s policy. ', [
                        '%early_fee%' => Settings::getEarlyCancellationFee(), 
                        '%late_cancellation_fee%' => Settings::getLateCancellationFee(), 
                        '%amount%' => no_show_fee_amount()]) ?>
                <?php if (!isset($hide_graph)): ?>
                <div class="hidden-xs progress-text clearfix mtm">
                    <div style="width: 55%">
                        <span class="label label-default mbs"><?php echo __('2 days prior') ?></span>
                    </div>
                    <div style="width: 30%">
                        <span class="label label-default mbs"><?php echo __('Pickup') ?></span>
                    </div>
                    <div style="width:15%"></div>
                </div>
                <div class="hidden-xs progress mbl">
                  <div class="progress-bar progress-bar-fee" style="width:55%">
                    <span><?php echo __('More than 48hrs before pickup: $25') ?></span>
                  </div>
                  <div class="progress-bar progress-bar-warning" style="width: 30%">
                    <span><?php echo __('48hrs before pickup: $50') ?></span>
                  </div>
                  <div class="progress-bar progress-bar-danger" style="width: 15%">
                    <span><?php echo __('No-show: $100') ?></span>
                  </div>
                </div>
                <?php endif ?>
            <?php endif ?>

            
        </td>
    </tr>
    <?php endif ?>

    <?php if ($listing->get('comment')): ?>
        <tr>
            <th><?php echo __('Additional comments from the rental operator') ?></th>
            <td><?php echo $listing->get('comment') ?></td>
        </tr>
    <?php endif ?>

    <tr>
        <th><?php echo __('Terms and conditions') ?></th>
        <td>
            <a href="<?php echo __('/terms') ?>" class="reveal-ajax"><?php echo __('Transfercar\'s terms and conditions') ?></a>
            <?php if($listing->get('terms_id')): ?> <?php echo __('and the rental operator') ?>
                <?php echo link_to(__('terms and conditions'), "user/terms?id={$listing->terms_id}", array('class' => 'reveal-ajax')) ?>
            <?php endif ?>
        </td>
    </tr>

    <tr>
        <th><?php echo __('Pickup and dropoff') ?></th>
        <td><?php echo __('Relocations can be returned earlier by arrangement at no charge, however no refund will be provided.') ?></td>
    </tr>
    <?php if ($listing->get('Owner')->get('debit_card_text')): ?>
        <tr>
            <th><?php echo __('Debit card policy') ?></th>
            <td>
                <?php echo $listing->get('Owner')->get('debit_card_text') ?>
                <br>
                <?php echo __('The driver name needs to be printed on the card') ?>
            </td>
        </tr>
    <?php endif ?>

</table>
